Bug Hunting Session
Bug 107428 - Overlapping textboxes interfere with correct cursor placement (comment 5)
Summary: Overlapping textboxes interfere with correct cursor placement (comment 5)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.0.3 release
Hardware: All All
: low normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected
: 119642 (view as bug list)
Depends on:
Blocks: Writer-Tables
  Show dependency treegraph
 
Reported: 2017-04-25 17:53 UTC by Marco A.G.Pinto
Modified: 2019-09-05 09:34 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Example/sample (21.07 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2017-04-25 17:53 UTC, Marco A.G.Pinto
Details
textboxes.odt: select outer textbox and start typing - text is entered in the inner textbox. (11.93 KB, application/vnd.oasis.opendocument.text)
2017-07-07 20:34 UTC, Justin L
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Marco A.G.Pinto 2017-04-25 17:53:08 UTC
Steps:

1) Open the .docx;
2) Scroll to the bottom of the document;
3) Click on the box with text and it won't be editable.
Comment 1 Marco A.G.Pinto 2017-04-25 17:53:50 UTC
Created attachment 132837 [details]
Example/sample
Comment 2 Xisco Faulí 2017-04-25 18:29:55 UTC
Regression introduced by d379d18666aa42031359ca8eb34b0021960347ae which is the same as in bug 103978

*** This bug has been marked as a duplicate of bug 103978 ***
Comment 3 Justin L 2017-07-07 00:40:13 UTC Comment hidden (inaccurate, obsolete)
Comment 4 Justin L 2017-07-07 20:34:00 UTC
Created attachment 134534 [details]
textboxes.odt: select outer textbox and start typing - text is entered in the inner textbox.

One problem is that these text-containers don't so easily accept a single-click as a cursor placement. Instead the whole containers is selected. As the attached document shows, selecting the container does not necessarily associate the cursor with that textbox. (I'm not going to try and tackle that problem.)
Comment 5 Justin L 2017-07-08 11:41:33 UTC
Not a duplicate of bug 103978.

Validated that the zOrder of comment 1's LO_bug_in_bottom_textbox_20170425.docx imports correctly.  (Installed MRI-1.3.3.oxt, selected frame, run tools -> Addons - MRI selection, method getByIndex 0, property ZOrder.)

So the problem to solve from this bug report is cursor access to the textboxes. There is a huge Text Box 1 (lowest zOrder 0) covering almost the entire page that is grabbing the cursor - even if you try to click on the higher-zOrder text containers.

I expect that this is an extremely difficult bug to fix. Lowering priority because of poor document design.

CC'ing Miklos because of the bibisect, but note that comment 4's attachment is an .ODT so that commit only exposes an existing problem. Removing regression tag. (??Clue: textframes handles cursors better than textboxes/shapes?? [I might not be using the correct terminology here.])

Revised steps:
1) Open the .docx;
2) Scroll to the bottom of the document*;
3) Click on the box with text [internal label = Text Box 3] and notice that you can't easily select it. Instead, the cursor likely is placed inside the huge textbox1. (You CAN select it by FIRST getting into frame-selection mode by selecting the frame of textbox1 and THEN selecting the other textboxes)
4) Once in frame-selection mode, it is hard to get into text-cursor mode. Double-clicking doesn't work.  Just starting to type DOES work - but since the box is full, the cursor isn't visible.

*Note: true of all of the "inside" textboxes - nothing special about the bottom textbox.
Comment 6 Xisco Faulí 2018-06-05 20:58:38 UTC
Adding Cc: to Miklos Vajna
Comment 7 Xisco Faulí 2018-09-04 15:02:09 UTC
*** Bug 119642 has been marked as a duplicate of this bug. ***
Comment 8 QA Administrators 2019-09-05 09:34:30 UTC
Dear Marco A.G.Pinto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug